﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace UltraCheckEditorExtendProperty
{
    public partial class UltraCheckEditor_Ex : UltraCheckEditor
    {

        private bool CancelPaint;
        private bool readOnly;

        public bool ReadOnly
        {
            get { return readOnly; }
            set { readOnly = value; }
        }

        public UltraCheckEditor_Ex()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs pe)
        {
            if (readOnly && CancelPaint) return;
            base.OnPaint(pe);
        }

        protected override void OnClick(EventArgs e)
        {
            if (readOnly) return;
            base.OnClick(e);
        }

        protected override void OnDoubleClick(EventArgs e)
        {
            if (readOnly) return;
            base.OnDoubleClick(e);
        }

        protected override void OnKeyUp(KeyEventArgs e)
        {
            if (readOnly) return;
            base.OnKeyUp(e);

        }

        protected override void OnMouseEnter(EventArgs e)
        {
            CancelPaint = true;
            base.OnMouseEnter(e);
        }
    }
}
